Package org.apache.sysds.hops.codegen.opt

# Class PlanAnalyzer

java.lang.Object
org.apache.sysds.hops.codegen.opt.PlanAnalyzer

public class PlanAnalyzer extends Object
Utility functions to extract structural information from the memo table, including connected components (aka partitions) of partial fusion plans, materialization points of partitions, and root nodes of partitions.

## Constructor Summary

Constructors
Constructor
Description
`PlanAnalyzer()`

## Method Summary

Modifier and Type
Method
Description
`static Collection<PlanPartition>`
`analyzePlanPartitions(CPlanMemoTable memo, ArrayList<Hop> roots, boolean ext)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlanAnalyzer

public PlanAnalyzer()

## Method Details

### analyzePlanPartitions

public static Collection<PlanPartition> analyzePlanPartitions(CPlanMemoTable memo, ArrayList<Hop> roots, boolean ext)